> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Patient Details

> Thi API provides functionality to update patient details for the registered patients.



## OpenAPI

````yaml patch /dr/v1/patient/{patient_id}
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /dr/v1/patient/{patient_id}:
    patch:
      tags:
        - Update Patient Details API
      summary: Update Patient Details
      description: >-
        Thi API provides functionality to update patient details for the
        registered patients.
      operationId: UpdatePatientDetailsAPI
      parameters:
        - name: auth
          in: header
          required: true
          description: >-
            The auth token of business_id. It is used to authenticate the
            business. The token can be fetched from the auth api.
          schema:
            type: string
          example: >-
            eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - name: patient_id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
        - name: partner_id
          in: query
          description: >-
            If set to 1 then appointment_id in path parameter should be
            partner_appointment_id else eka apppointment_id
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: '1'
      requestBody:
        description: Request body for updating a patient to the directory
        content:
          application/json:
            schema:
              type: object
              properties:
                designation:
                  type: string
                  enum:
                    - Mr.
                    - Ms.
                    - Mrs.
                    - Miss.
                    - Kumar.
                    - Shri.
                    - Smt.
                    - Dr.
                    - Master.
                    - Baby.
                    - Mohd.
                    - B/O
                  example: Mr.
                  description: Title or designation of the patient
                first_name:
                  type: string
                  example: Test
                  description: First name of the patient
                middle_name:
                  type: string
                  example: ''
                  description: Middle name of the patient (if any)
                last_name:
                  type: string
                  example: Patient
                  description: Last name of the patient
                gender:
                  type: string
                  example: M
                  description: >-
                    Gender of the patient (e.g., 'M' for male, 'F' for female,
                    'O' for others)
                  enum:
                    - M
                    - F
                    - O
                address:
                  type: object
                  properties:
                    city:
                      type: string
                      example: Bangalore
                    line1:
                      type: string
                      example: ABC
                    line2:
                      type: string
                      example: XYZ
                    pincode:
                      type: integer
                      example: 560049
                    state:
                      type: string
                      example: Karnataka
                    country:
                      type: string
                      example: India
                  description: Address details of the patient
                partner_meta:
                  type: object
                  properties:
                    key1:
                      type: string
                      example: value1
              oneOf:
                - title: DOB
                  properties:
                    dob:
                      type: string
                      format: date
                      example: '1987-01-06'
                      description: Date of birth of the patient (YYYY-MM-DD)
                - title: AGE
                  properties:
                    age:
                      type: integer
                      example: 24
                      description: Age in years
      responses:
        '201':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 24 Mar 2020 06:26:06 GMT
            Content-Length:
              schema:
                type: string
                example: '380'
            Connection:
              schema:
                type: string
                example: keep-alive
            Server:
              schema:
                type: string
                example: nginx/1.10.3 (Ubuntu)
            Vary:
              schema:
                type: string
                example: Cookie, Accept-Encoding
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=15768000
          content:
            application/json:
              schema:
                type: object
                properties:
                  patient_id:
                    type: string
                    example: '123456789'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403ForbiddenFinal'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500InternalServerFinal'
      deprecated: false
components:
  schemas:
    403ForbiddenFinal:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_ALLOWED
            message:
              type: string
              example: You are not allowed to add resource
    500InternalServerFinal:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: INTERNAL_SERVER_ERROR
            message:
              type: string
              example: Internal server error

````